package com.platform.modules.plm.util;

import org.apache.commons.lang3.StringUtils;

/**
 * 图片文件类型
 *
 * @author weiyan
 */
public enum ImageTypeEnum {
	
    JPG("jpg"), JPEG("jpeg"), GIF("gif"), PNG("png"), BMP("bmp");

    private String name;

    ImageTypeEnum(String name) {
        this.setName(name);
    }


    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    /**
     * 图片文件校验
     *
     * @param suffix
     * @return
     */
    public static boolean isImage(String suffix) {
        if (StringUtils.isEmpty(suffix)) {
            return false;
        }
        for (ImageTypeEnum item : values()) {
            if (item.getName().equals(suffix)) {
                return true;
            }
        }
        return false;
    }

}
